enrollment-packs
List all enrollment packs
GET
/
api
/
enrollment_packs
List all enrollment packs
curl --request GET \
--url https://api.fluid.app/api/enrollment_packs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/enrollment_packs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/enrollment_packs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enrollment_packs": [
{
"enrollment_pack_id": 123,
"slug": "<string>",
"custom_slug": true,
"canonical_url": "<string>",
"search_engine_optimizer": {
"id": 123,
"title": "<string>",
"description": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"block_crawler": true
},
"token": "<string>",
"title": "<string>",
"active": true,
"description": {
"id": 123,
"name": "<string>",
"body": "<string>",
"locale": "<string>",
"record_type": "<string>",
"record_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"enrollment_fee": "<string>",
"membership_after_one_month": true,
"membership_optional": true,
"status": "<string>",
"additional_volume": 123,
"application_theme_template_id": 123,
"country_ids": [
123
],
"member_enrollable_products": [
{
"id": 123,
"product_id": 123,
"variant_id": 123
}
],
"subscription_enrollable_products": [
{
"id": 123,
"product_id": 123,
"variant_id": 123,
"subscription_plan_id": 123
}
],
"images": [
{
"id": 123,
"image_url": "<string>",
"position": 123
}
],
"enrollment_pack_agreements": [
{
"id": 123,
"agreement_id": 123,
"required": true
}
]
}
],
"meta": {
"request_id": "<string>",
"timestamp": "<string>",
"pagination": {
"current_page": 123,
"total_pages": 123,
"total_count": 123,
"per_page": 123
}
}
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Query Parameters
Page number
Items per page
Sort order
Search term
Filter by status
Filter by country IDs
Language filter
⌘I
List all enrollment packs
